# InfoBox

#### new Cesium.InfoBox(container)
widgets/Source/InfoBox/InfoBox.js 23

A widget for displaying information or a description.

Name | Type | Description
--- | --- | ---
`container` | Element | string | The DOM element or ID that will contain the widget.

##### Throws:

- DeveloperError : Element with id "container" does not exist in the document.

### Members

#### container : Element
widgets/Source/InfoBox/InfoBox.js 156

Gets the parent container.

#### frame : HTMLIFrameElement
widgets/Source/InfoBox/InfoBox.js 180

Gets the iframe used to display the description.

#### viewModel : InfoBoxViewModel
widgets/Source/InfoBox/InfoBox.js 168

Gets the view model.

### Methods

#### destroy()
widgets/Source/InfoBox/InfoBox.js 198

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → boolean
widgets/Source/InfoBox/InfoBox.js 190

##### Returns:

true if the object has been destroyed, false otherwise.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.